var index =
[
    [ "OpenMesh Python Bindings", "index.html#openmesh-python", null ],
    [ "Building OpenMesh", "index.html#iov", null ],
    [ "Compiling OpenMesh", "a06305.html", [
      [ "Tested compilers", "a06305.html#compilers", null ],
      [ "Required libraries (Only if you want to build the included Apps)", "a06305.html#req_libs", null ],
      [ "Chosing build system", "a06305.html#build_systems", null ],
      [ "Unix", "a06305.html#sec_compiling_unix", [
        [ "Compiling OpenMesh using CMake", "a06305.html#linux_using_cmake", null ]
      ] ],
      [ "Windows", "a06305.html#sec_compiling_windows", [
        [ "Compiling OpenMesh using CMake", "a06305.html#windows_using_cmake", null ]
      ] ],
      [ "MacOS X", "a06305.html#sec_compiling_macosx", [
        [ "Compiling OpenMesh using CMake", "a06305.html#mac_using_cmake", null ]
      ] ]
    ] ],
    [ "Compiling OpenMesh unit tests", "a06306.html", null ],
    [ "Using and understanding OpenMesh", "a06309.html", [
      [ "Features and Goals of OpenMesh", "a06312.html", null ],
      [ "The Halfedge Data Structure", "a06314.html", null ],
      [ "Mesh Iterators and Circulators", "a06320.html", [
        [ "Iterators", "a06320.html#it_iters", [
          [ "Deleted Elements", "a06320.html#deletedElements", null ]
        ] ],
        [ "How to use iterators in OpenMesh", "a06320.html#it_iters_h", null ],
        [ "Skipping Iterators", "a06320.html#it_iters_skipping", null ],
        [ "Circulators", "a06320.html#it_circs", null ],
        [ "How to use circulators in OpenMesh", "a06320.html#it_circs_h", null ]
      ] ],
      [ "How to navigate on a mesh", "a06322.html", [
        [ "Overview", "a06322.html#nav_overview", null ],
        [ "Introduction", "a06322.html#nav_intro", null ],
        [ "Navigating over halfedges", "a06322.html#nav_he", null ],
        [ "Mesh boundaries", "a06322.html#nav_bound", null ],
        [ "Using incoming and outgoing halfedges", "a06322.html#nav_io", null ],
        [ "Using opposite halfedges", "a06322.html#nav_opposite", null ],
        [ "Getting the to and from vertices", "a06322.html#nav_to_from", null ]
      ] ],
      [ "Read and write meshes from files", "a06319.html", [
        [ "Step 1 - IOManager quick start", "a06319.html#mesh_io_quick", null ],
        [ "Step 2 - The theory behind IOManager", "a06319.html#mesh_io_theory", null ],
        [ "Step 3 - How to extend IOManager", "a06319.html#mesh_io_extend", [
          [ "Adding support for a new file format", "a06319.html#mesh_io_extend_fileformat", null ],
          [ "Adding support for a new data structure", "a06319.html#mesh_io_extend_datastruct", null ]
        ] ]
      ] ],
      [ "Some basic operations: Flipping and collapsing edges", "a06323.html", [
        [ "Flipping edges in triangle meshes", "a06323.html#op_flip", null ],
        [ "Collapsing edges", "a06323.html#op_collapse", null ]
      ] ],
      [ "Conceptual Class Hierarchy", "a06315.html", [
        [ "Building the kernel", "a06315.html#ch_kernel", null ],
        [ "Building the mesh", "a06315.html#ch_complete", null ]
      ] ],
      [ "Specifying your MyMesh", "a06316.html", [
        [ "Polygonal or Triangle Mesh?", "a06316.html#sec_select_face_type", null ],
        [ "Choosing the right kernel", "a06316.html#sec_select_kernel", null ],
        [ "Mesh Traits", "a06316.html#sec_select_traits", [
          [ "Changing the Point type", "a06316.html#sec_change_point", null ],
          [ "Adding Predefined Attributes", "a06316.html#sec_add_attributes", null ],
          [ "Adding User-Defined Elements", "a06316.html#sec_add_traits", null ],
          [ "Using traits defined by algorithms", "a06316.html#sec_algo_traits", null ]
        ] ],
        [ "Dynamic Properties", "a06316.html#sec_properties", null ],
        [ "Final Implementation Example", "a06316.html#sec_traits_example", null ]
      ] ],
      [ "Specifying an OpenMesh using Eigen3 vectors", "a06317.html", null ]
    ] ],
    [ "OpenMesh Tools Documentation", "a06327.html", [
      [ "Mesh Decimation Framework", "a06307.html", [
        [ "The decimation algorithm", "a06307.html#DecimaterAlg", null ],
        [ "Block vertices from beeing touched by the Decimater", "a06307.html#DecimaterLock", null ],
        [ "Decimating Modules", "a06307.html#DecimaterMod", null ],
        [ "Module Handles", "a06307.html#DecimaterHnd", null ],
        [ "Basic Setup", "a06307.html#DecimaterExa", null ]
      ] ],
      [ "Sudivision Tools", "a06326.html", [
        [ "Overview", "a06326.html#OM_Subdivider_Overview", null ],
        [ "Usage", "a06326.html#OM_Subdivider_Usage", null ]
      ] ],
      [ "View Dependent Progressive Meshes", "a06344.html", null ],
      [ "Smoother Tools", "a06324.html", [
        [ "Overview", "a06324.html#OM_Smoother_Overview", null ],
        [ "Usage", "a06324.html#OM_Smoother_Usage", null ],
        [ "Options", "a06324.html#Options", [
          [ "Continuity", "a06324.html#Continuity", null ],
          [ "Component", "a06324.html#Component", null ],
          [ "Local Error", "a06324.html#localError", null ]
        ] ]
      ] ],
      [ "Mesh Hole Filler", "a06308.html", [
        [ "The holefilling algorithm", "a06308.html#HoleFillerAlgo", null ]
      ] ],
      [ "Smart Tagger", "a06345.html", null ]
    ] ],
    [ "Tutorials (code examples)", "a06343.html", [
      [ "How to create your own project using OpenMesh and cmake", "a06342.html", null ],
      [ "First Steps - Building a cube", "a06328.html", null ],
      [ "Using iterators and circulators", "a06329.html", null ],
      [ "Using (custom) properties", "a06330.html", null ],
      [ "Using STL algorithms", "a06331.html", null ],
      [ "Using Smart Handles", "a06339.html", null ],
      [ "Filtering ranges with predicates", "a06340.html", null ],
      [ "Using standard properties", "a06332.html", null ],
      [ "Using mesh attributes and traits", "a06333.html", null ],
      [ "Extending the mesh using traits", "a06334.html", null ],
      [ "Deleting geometry elements", "a06335.html", null ],
      [ "Using IO::Options", "a06336.html", null ],
      [ "Using custom properties (old style)", "a06337.html", null ],
      [ "Storing custom properties", "a06338.html", null ]
    ] ],
    [ "Additional Information on OpenMesh", "a06310.html", [
      [ "Notes on template programming", "a06311.html", null ],
      [ "Some words on the C++ implementation", "a06313.html", null ],
      [ "Where do I find a list of all member functions ?", "a06318.html", null ],
      [ "Naming Conventions", "a06321.html", null ],
      [ "Some Notes on how to speedup OpenMesh", "a06325.html", null ],
      [ "Changelog", "a06304.html", null ]
    ] ]
];